Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 492221 - Review Request: dssi-vst - DSSI plugin wrapper for VST plugins
Review Request: dssi-vst - DSSI plugin wrapper for VST plugins
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 19:10 EDT by Orcan Ogetbil
Modified: 2009-06-15 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.8-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-25 19:10:05 EDT
Spec URL: http://oget.fedorapeople.org/review/dssi-vst.spec
SRPM URL: http://oget.fedorapeople.org/review/dssi-vst-0.8-1.fc10.src.rpm
Description: 
dssi-vst is an adapter that allows users of Linux audio software to take VST
and VSTi audio effects and instrument plugins compiled for Windows, and load
them into native LADSPA or DSSI plugin hosts. Plugins run at full speed for
most audio processing, although their user interfaces are slower because of the
Windows emulation.


rpmlint is silent.
Comment 1 Orcan Ogetbil 2009-04-30 05:02:20 EDT
I separated the wine related parts in a -wine subpackage. This subpackage will be built only on ix86 and I will ask releng to push the ix86 package to x86_64 repo.

This way we will keep all ix86 and x86_64 users happy.

Spec URL: http://oget.fedorapeople.org/review/dssi-vst.spec
SRPM URL: http://oget.fedorapeople.org/review/dssi-vst-0.8-2.fc10.src.rpm

Changelog: 0.8-2
- Make a ix86 only -wine subpackage

Builds fine in koji rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1330071

Question: Should I change the name of the -wine subpackage to something else (like -wrapper)?
Comment 2 Mattias Ellert 2009-05-29 08:25:10 EDT
Fedora review dssi-vst-0.8-2.fc10.src.rpm 2009-05-29

$ rpmlint *.rpm *.spec
dssi-vst-wine.i386: W: no-documentation
7 packages and 1 specfiles checked; 0 errors, 1 warnings.

* OK
? needs attention

* rpmlint is OK

* package is named according to guidelines

* specfile is named after the package

* package is licensed under a Fedora approved license (GPLv2)

* package license corresponds to the license of the package sources

* license file (COPYING) is included as %doc

* specfile is written in legible English

* sources matches upstream

$ md5sum dssi-vst-0.8.tar.gz SRPM/dssi-vst-0.8.tar.gz 
2d46474eaf84f0a2efc2389edaa18e3a  dssi-vst-0.8.tar.gz
2d46474eaf84f0a2efc2389edaa18e3a  SRPM/dssi-vst-0.8.tar.gz

* package builds in mock in ix86 and x86_64 (Fedora 10)

* package has exclusive arch for ix86 and x86_64 (requires wine)

* BuildRequires are sane

* package owns all directories it creates - both the main and wine
  subpackages own /usr/lib/dssi/dssi-vst, but that is necessary since
  the packages Require each other

* no duplicate files

* permissions are sane and %files has %defattr

* %clean clears buildroot

* specfile uses macros consistently

* package contains code

* subpackage interdepencies used fully qualified versions

? the wine subpackage owns /usr/lib/dssi which is also owned by the
  dssi package - should the wine subpackage require dssi instead?

* %install clears buildroot

* installed filenames are UTF8


The minor issue above you can fix post-review.


Package approved.
Comment 3 Orcan Ogetbil 2009-05-29 11:38:22 EDT
(In reply to comment #2)
> Fedora review dssi-vst-0.8-2.fc10.src.rpm 2009-05-29
> 

Thank you for the review!

> ? the wine subpackage owns /usr/lib/dssi which is also owned by the
>   dssi package - should the wine subpackage require dssi instead?
> 

There is a subtlety here. I first thought of doing it that way but then I realized that it would be problematic on x86_64. On x86_64, when someone installs dssi-vst, the
   dssi-vst.x86_64
   dssi-vst-wine.i586
packages will be installed. If I put a
   Requires: dssi
on the dssi-vst-wine package, it will pull dssi.x86_64 during installation, and dssi.x86_64 does not own /usr/lib/dssi. The only solution I found was to own /usr/lib/dssi by dssi-vst-wine.i586 so that we have all directories owned in all archs.

Please let me know if you find a better solution.


New Package CVS Request
=======================
Package Name: dssi-vst
Short Description: DSSI plugin wrapper for VST plugins
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 4 Jason Tibbitts 2009-05-29 11:50:23 EDT
CVS done.
Comment 5 Fedora Update System 2009-05-29 13:56:03 EDT
dssi-vst-0.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dssi-vst-0.8-2.fc11
Comment 6 Fedora Update System 2009-05-29 13:56:52 EDT
dssi-vst-0.8-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dssi-vst-0.8-2.fc10
Comment 7 Fedora Update System 2009-05-29 13:57:27 EDT
dssi-vst-0.8-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dssi-vst-0.8-2.fc9
Comment 8 Mattias Ellert 2009-05-29 15:23:04 EDT
(In reply to comment #3)
> 
> There is a subtlety here. I first thought of doing it that way but then I
> realized that it would be problematic on x86_64. On x86_64, when someone
> installs dssi-vst, the
>    dssi-vst.x86_64
>    dssi-vst-wine.i586
> packages will be installed. If I put a
>    Requires: dssi
> on the dssi-vst-wine package, it will pull dssi.x86_64 during installation, and
> dssi.x86_64 does not own /usr/lib/dssi. The only solution I found was to own
> /usr/lib/dssi by dssi-vst-wine.i586 so that we have all directories owned in
> all archs.
> 
> Please let me know if you find a better solution.

I see your point here.
Comment 9 Fedora Update System 2009-06-02 10:20:09 EDT
dssi-vst-0.8-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dssi-vst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5732
Comment 10 Fedora Update System 2009-06-02 10:20:37 EDT
dssi-vst-0.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update dssi-vst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5736
Comment 11 Fedora Update System 2009-06-02 10:33:08 EDT
dssi-vst-0.8-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dssi-vst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5791
Comment 12 Fedora Update System 2009-06-02 23:36:14 EDT
dssi-vst-0.8-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dssi-vst-0.8-3.fc11
Comment 13 Fedora Update System 2009-06-04 17:08:53 EDT
dssi-vst-0.8-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dssi-vst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5820
Comment 14 Fedora Update System 2009-06-15 21:24:58 EDT
dssi-vst-0.8-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-06-15 21:38:09 EDT
dssi-vst-0.8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-06-15 22:38:58 EDT
dssi-vst-0.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.